### Hierarchy

- ObservableElementEvents
  - ObservableObjectEvents
  - ObservableBooleanEvents
  - ObservableNullEvents
  - ObservableNumberEvents
  - ObservableStringEvents
  - ObservableUndefinedEvents
  - ObservableDateEvents
  - ObservableArrayEvents
  - RealTimeElementEvents
  - HistoricalElementEvents

## Index

### Events

- DETACHED
- MODEL_CHANGED
- REFERENCE
- VALUE

## Events

### DETACHED

DETACHED: string

Emitted when this element becomes detached, which typically happens when the element is removed from its parent. An ElementDetachedEvent is the actual emitted event.

### MODEL_CHANGED

MODEL_CHANGED: string

Emitted when any child element of this element has a change. See ModelChangedEvent for details.

### REFERENCE

REFERENCE: string

Emitted when a remote reference is created on this RealTimeElement. See RemoteReferenceCreatedEvent for the actual emitted event.

### VALUE

VALUE: string

Emitted when the value of a RealTimeElement is set. See the IValueChangedEvent interface.